OpenVDB: OpPolicy Class Reference

OpenVDB 9.0.0

Public Member Functions | List of all members
OpPolicy Class Reference

An OpPolicy customizes the behavior of an OpFactory. This base class specifies the required interface. More...

`#include <openvdb_houdini/ParmFactory.h>`

## Public Member Functions
| OpPolicy ()
virtual | ~OpPolicy ()
std::string | getName (const OpFactory &factory)
| Return a type name for the operator defined by the given factory. More...
virtual std::string | getName (const OpFactory &factory, const std::string &english)
| Convert an English name into a type name for the operator defined by the given factory, and return the result. More...
virtual std::string | getIconName (const OpFactory &)
| Return an icon name for the operator defined by the given factory. More...
virtual std::string | getHelpURL (const OpFactory &)
| Return a help URL for the operator defined by the given factory. More...
virtual std::string | getLabelName (const OpFactory &)
| Return a label name for the operator defined by the given factory. More...
virtual std::string | getFirstName (const OpFactory &)
| Return the inital default name of the operator. More...
virtual std::string | getTabSubMenuPath (const OpFactory &)
| Return the tab sub-menu path of the op. More...

## Detailed Description

An OpPolicy customizes the behavior of an OpFactory. This base class specifies the required interface.

## Constructor & Destructor Documentation

## ◆ OpPolicy()

OpPolicy | ( |  | ) |
| inline

## ◆ ~OpPolicy()

virtual ~OpPolicy | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ getFirstName()

virtual std::string getFirstName | ( | const OpFactory & |  | ) |
| inlinevirtual

Return the inital default name of the operator.

Note
  An empty first name will disable, reverting to the usual rules.

## ◆ getHelpURL()

virtual std::string getHelpURL | ( | const OpFactory & |  | ) |
| inlinevirtual

Return a help URL for the operator defined by the given factory.

## ◆ getIconName()

virtual std::string getIconName | ( | const OpFactory & |  | ) |
| inlinevirtual

Return an icon name for the operator defined by the given factory.

Return an empty string to use Houdini's default icon naming scheme.

## ◆ getLabelName()

virtual std::string getLabelName | ( | const OpFactory & |  | ) |
| virtual

Return a label name for the operator defined by the given factory.

In this base class implementation, this method simply returns factory.english().

## ◆ getName() [1/2]

std::string getName | ( | const OpFactory & | factory | ) |
| inline

Return a type name for the operator defined by the given factory.

## ◆ getName() [2/2]

virtual std::string getName | ( | const OpFactory & | factory,
|  | const std::string & | english
| ) |  |
| virtual

Convert an English name into a type name for the operator defined by the given factory, and return the result.

In this base class implementation, the operator's type name is generated by calling `UT_String::forceValidVariableName()` on the English name.

Note
  This function might be called (from OpFactory::addAlias(), for example) with an English name other than the one returned by factory.english().

## ◆ getTabSubMenuPath()

virtual std::string getTabSubMenuPath | ( | const OpFactory & |  | ) |
| inlinevirtual

Return the tab sub-menu path of the op.

Note
  An empty path will disable, reverting to the usual rules.